Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(53)

Issue 390133002: make gs_utils.py work without a .boto credential file (Closed)

Created:
5 years, 2 months ago by epoger
Modified:
5 years, 2 months ago
Reviewers:
jcgregorio, borenet, rmistry
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/common.git@master
Visibility:
Public.

Description

make gs_utils.py work without a .boto credential file This is needed so developers without a .boto file can still run rebaseline_server. BUG=skia:2618 R=jcgregorio@google.com, rmistry@google.com Committed: https://skia.googlesource.com/common/+/ac762a9

Patch Set 1 : rename _run_self_test() to _test_authenticated_round_trip() #

Patch Set 2 : add _test_public_read(), and make it work #

Patch Set 3 : change default boto_file_path to be None #

Patch Set 4 : rebase #

Total comments: 2

Patch Set 5 : explain AnonymousGSConnection #

Total comments: 2

Patch Set 6 : satisfy hobgoblin #

Unified diffs Side-by-side diffs Delta from patch set Stats (+63 lines, -23 lines) Patch
M py/utils/gs_utils.py View 1 2 3 4 5 5 chunks +63 lines, -23 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
epoger
Ready for review at patchset 2. First LG wins.
5 years, 2 months ago (2014-07-14 18:41:50 UTC) #1
jcgregorio
On 2014/07/14 18:41:50, epoger wrote: > Ready for review at patchset 2. First LG wins. ...
5 years, 2 months ago (2014-07-14 21:00:08 UTC) #2
epoger
On 2014/07/14 21:00:08, jcgregorio wrote: > On 2014/07/14 18:41:50, epoger wrote: > > Ready for ...
5 years, 2 months ago (2014-07-14 21:14:26 UTC) #3
epoger
On 2014/07/14 21:14:26, epoger wrote: > On 2014/07/14 21:00:08, jcgregorio wrote: > > On 2014/07/14 ...
5 years, 2 months ago (2014-07-15 15:15:58 UTC) #4
epoger
See patchset 3 with the changes discussed. First re-LG wins.
5 years, 2 months ago (2014-07-15 17:25:05 UTC) #5
epoger
Someone (anyone) PTAL. Patchset 4 merges in my https://codereview.chromium.org/390193002/ ('add set_acl() and get_acl() to gs_utils.py'), ...
5 years, 2 months ago (2014-07-16 13:03:14 UTC) #6
rmistry
https://codereview.chromium.org/390133002/diff/60001/py/utils/gs_utils.py File py/utils/gs_utils.py (right): https://codereview.chromium.org/390133002/diff/60001/py/utils/gs_utils.py#newcode79 py/utils/gs_utils.py:79: calling_format=SubdomainCallingFormat(), provider='google', Could you explain the provider='google' ?
5 years, 2 months ago (2014-07-16 13:34:21 UTC) #7
epoger
Thanks, Ravi, please see patchset 5 https://codereview.chromium.org/390133002/diff/60001/py/utils/gs_utils.py File py/utils/gs_utils.py (right): https://codereview.chromium.org/390133002/diff/60001/py/utils/gs_utils.py#newcode79 py/utils/gs_utils.py:79: calling_format=SubdomainCallingFormat(), provider='google', On ...
5 years, 2 months ago (2014-07-16 13:47:42 UTC) #8
rmistry
LGTM https://codereview.chromium.org/390133002/diff/80001/py/utils/gs_utils.py File py/utils/gs_utils.py (right): https://codereview.chromium.org/390133002/diff/80001/py/utils/gs_utils.py#newcode73 py/utils/gs_utils.py:73: """The GSConnection class constructor in The Nittiest of ...
5 years, 2 months ago (2014-07-16 13:55:01 UTC) #9
epoger
https://codereview.chromium.org/390133002/diff/80001/py/utils/gs_utils.py File py/utils/gs_utils.py (right): https://codereview.chromium.org/390133002/diff/80001/py/utils/gs_utils.py#newcode73 py/utils/gs_utils.py:73: """The GSConnection class constructor in On 2014/07/16 13:55:01, rmistry ...
5 years, 2 months ago (2014-07-16 14:02:03 UTC) #10
epoger
5 years, 2 months ago (2014-07-16 14:02:32 UTC) #11
Message was sent while issue was closed.
Committed patchset #6 manually as rac762a9 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698